<?php
$tdatapre_ventas_por_estado = array();
$tdatapre_ventas_por_estado[".searchableFields"] = array();
$tdatapre_ventas_por_estado[".ShortName"] = "pre_ventas_por_estado";
$tdatapre_ventas_por_estado[".OwnerID"] = "";
$tdatapre_ventas_por_estado[".OriginalTable"] = "vista_pre_venta";


$tdatapre_ventas_por_estado[".pagesByType"] = my_json_decode( "{\"report\":[\"report\"],\"rprint\":[\"rprint\"],\"search\":[\"search\"]}" );
$tdatapre_ventas_por_estado[".originalPagesByType"] = $tdatapre_ventas_por_estado[".pagesByType"];
$tdatapre_ventas_por_estado[".pages"] = types2pages( my_json_decode( "{\"report\":[\"report\"],\"rprint\":[\"rprint\"],\"search\":[\"search\"]}" ) );
$tdatapre_ventas_por_estado[".originalPages"] = $tdatapre_ventas_por_estado[".pages"];
$tdatapre_ventas_por_estado[".defaultPages"] = my_json_decode( "{\"report\":\"report\",\"rprint\":\"rprint\",\"search\":\"search\"}" );
$tdatapre_ventas_por_estado[".originalDefaultPages"] = $tdatapre_ventas_por_estado[".defaultPages"];

//	field labels
$fieldLabelspre_ventas_por_estado = array();
$fieldToolTipspre_ventas_por_estado = array();
$pageTitlespre_ventas_por_estado = array();
$placeHolderspre_ventas_por_estado = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelspre_ventas_por_estado["Spanish"] = array();
	$fieldToolTipspre_ventas_por_estado["Spanish"] = array();
	$placeHolderspre_ventas_por_estado["Spanish"] = array();
	$pageTitlespre_ventas_por_estado["Spanish"] = array();
	$fieldLabelspre_ventas_por_estado["Spanish"]["id_Pre_venta"] = "Id Pre Venta";
	$fieldToolTipspre_ventas_por_estado["Spanish"]["id_Pre_venta"] = "";
	$placeHolderspre_ventas_por_estado["Spanish"]["id_Pre_venta"] = "";
	$fieldLabelspre_ventas_por_estado["Spanish"]["fecha_Emision"] = "Fecha Emision";
	$fieldToolTipspre_ventas_por_estado["Spanish"]["fecha_Emision"] = "";
	$placeHolderspre_ventas_por_estado["Spanish"]["fecha_Emision"] = "";
	$fieldLabelspre_ventas_por_estado["Spanish"]["ci"] = "Ci";
	$fieldToolTipspre_ventas_por_estado["Spanish"]["ci"] = "";
	$placeHolderspre_ventas_por_estado["Spanish"]["ci"] = "";
	$fieldLabelspre_ventas_por_estado["Spanish"]["Titular"] = "Titular";
	$fieldToolTipspre_ventas_por_estado["Spanish"]["Titular"] = "";
	$placeHolderspre_ventas_por_estado["Spanish"]["Titular"] = "";
	$fieldLabelspre_ventas_por_estado["Spanish"]["Cantidad"] = "Cantidad";
	$fieldToolTipspre_ventas_por_estado["Spanish"]["Cantidad"] = "";
	$placeHolderspre_ventas_por_estado["Spanish"]["Cantidad"] = "";
	$fieldLabelspre_ventas_por_estado["Spanish"]["total_bs"] = "Total Bs";
	$fieldToolTipspre_ventas_por_estado["Spanish"]["total_bs"] = "";
	$placeHolderspre_ventas_por_estado["Spanish"]["total_bs"] = "";
	$fieldLabelspre_ventas_por_estado["Spanish"]["Estado"] = "Estado";
	$fieldToolTipspre_ventas_por_estado["Spanish"]["Estado"] = "";
	$placeHolderspre_ventas_por_estado["Spanish"]["Estado"] = "";
	if (count($fieldToolTipspre_ventas_por_estado["Spanish"]))
		$tdatapre_ventas_por_estado[".isUseToolTips"] = true;
}


	$tdatapre_ventas_por_estado[".NCSearch"] = true;



$tdatapre_ventas_por_estado[".shortTableName"] = "pre_ventas_por_estado";
$tdatapre_ventas_por_estado[".nSecOptions"] = 0;

$tdatapre_ventas_por_estado[".mainTableOwnerID"] = "";
$tdatapre_ventas_por_estado[".entityType"] = 2;
$tdatapre_ventas_por_estado[".connId"] = "bsn_dividendos_at_localhost";


$tdatapre_ventas_por_estado[".strOriginalTableName"] = "vista_pre_venta";

	



$tdatapre_ventas_por_estado[".showAddInPopup"] = false;

$tdatapre_ventas_por_estado[".showEditInPopup"] = false;

$tdatapre_ventas_por_estado[".showViewInPopup"] = false;

$tdatapre_ventas_por_estado[".listAjax"] = false;
//	temporary
//$tdatapre_ventas_por_estado[".listAjax"] = false;

	$tdatapre_ventas_por_estado[".audit"] = false;

	$tdatapre_ventas_por_estado[".locking"] = false;


$pages = $tdatapre_ventas_por_estado[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatapre_ventas_por_estado[".edit"] = true;
	$tdatapre_ventas_por_estado[".afterEditAction"] = 1;
	$tdatapre_ventas_por_estado[".closePopupAfterEdit"] = 1;
	$tdatapre_ventas_por_estado[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatapre_ventas_por_estado[".add"] = true;
$tdatapre_ventas_por_estado[".afterAddAction"] = 1;
$tdatapre_ventas_por_estado[".closePopupAfterAdd"] = 1;
$tdatapre_ventas_por_estado[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatapre_ventas_por_estado[".list"] = true;
}



$tdatapre_ventas_por_estado[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatapre_ventas_por_estado[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatapre_ventas_por_estado[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatapre_ventas_por_estado[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatapre_ventas_por_estado[".printFriendly"] = true;
}



$tdatapre_ventas_por_estado[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatapre_ventas_por_estado[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatapre_ventas_por_estado[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatapre_ventas_por_estado[".isUseAjaxSuggest"] = true;



																																																																																							

$tdatapre_ventas_por_estado[".ajaxCodeSnippetAdded"] = false;

$tdatapre_ventas_por_estado[".buttonsAdded"] = false;

$tdatapre_ventas_por_estado[".addPageEvents"] = false;

// use timepicker for search panel
$tdatapre_ventas_por_estado[".isUseTimeForSearch"] = false;


$tdatapre_ventas_por_estado[".badgeColor"] = "D2AF80";


$tdatapre_ventas_por_estado[".allSearchFields"] = array();
$tdatapre_ventas_por_estado[".filterFields"] = array();
$tdatapre_ventas_por_estado[".requiredSearchFields"] = array();

$tdatapre_ventas_por_estado[".googleLikeFields"] = array();
$tdatapre_ventas_por_estado[".googleLikeFields"][] = "id_Pre_venta";
$tdatapre_ventas_por_estado[".googleLikeFields"][] = "fecha_Emision";
$tdatapre_ventas_por_estado[".googleLikeFields"][] = "ci";
$tdatapre_ventas_por_estado[".googleLikeFields"][] = "Titular";
$tdatapre_ventas_por_estado[".googleLikeFields"][] = "Cantidad";
$tdatapre_ventas_por_estado[".googleLikeFields"][] = "total_bs";
$tdatapre_ventas_por_estado[".googleLikeFields"][] = "Estado";



$tdatapre_ventas_por_estado[".tableType"] = "report";

$tdatapre_ventas_por_estado[".printerPageOrientation"] = 0;
$tdatapre_ventas_por_estado[".nPrinterPageScale"] = 100;

$tdatapre_ventas_por_estado[".nPrinterSplitRecords"] = 40;

$tdatapre_ventas_por_estado[".geocodingEnabled"] = false;

//report settings

$tdatapre_ventas_por_estado[".reportPrintGroupsPerPage"] = 3;
$tdatapre_ventas_por_estado[".reportPrintRecordsPerPage"] = 40;

$tdatapre_ventas_por_estado[".pageSizeGroups"] = 5;
$tdatapre_ventas_por_estado[".pageSizeRecords"] = 20;


//end of report settings










$tstrOrderBy = "";
$tdatapre_ventas_por_estado[".strOrderBy"] = $tstrOrderBy;

$tdatapre_ventas_por_estado[".orderindexes"] = array();


$tdatapre_ventas_por_estado[".sqlHead"] = "SELECT id_Pre_venta,  	fecha_Emision,  	ci,  	Titular,  	Cantidad,  	total_bs,  	Estado";
$tdatapre_ventas_por_estado[".sqlFrom"] = "FROM vista_pre_venta";
$tdatapre_ventas_por_estado[".sqlWhereExpr"] = "";
$tdatapre_ventas_por_estado[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatapre_ventas_por_estado[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatapre_ventas_por_estado[".arrGroupsPerPage"] = $arrGPP;

$tdatapre_ventas_por_estado[".highlightSearchResults"] = true;

$tableKeyspre_ventas_por_estado = array();
$tdatapre_ventas_por_estado[".Keys"] = $tableKeyspre_ventas_por_estado;


$tdatapre_ventas_por_estado[".hideMobileList"] = array();




//	id_Pre_venta
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id_Pre_venta";
	$fdata["GoodName"] = "id_Pre_venta";
	$fdata["ownerTable"] = "vista_pre_venta";
	$fdata["Label"] = GetFieldLabel("Pre_ventas_por_Estado","id_Pre_venta");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_Pre_venta";

		$fdata["sourceSingle"] = "id_Pre_venta";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_Pre_venta";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapre_ventas_por_estado["id_Pre_venta"] = $fdata;
		$tdatapre_ventas_por_estado[".searchableFields"][] = "id_Pre_venta";
//	fecha_Emision
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "fecha_Emision";
	$fdata["GoodName"] = "fecha_Emision";
	$fdata["ownerTable"] = "vista_pre_venta";
	$fdata["Label"] = GetFieldLabel("Pre_ventas_por_Estado","fecha_Emision");
	$fdata["FieldType"] = 7;


	
	
			

		$fdata["strField"] = "fecha_Emision";

		$fdata["sourceSingle"] = "fecha_Emision";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fecha_Emision";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapre_ventas_por_estado["fecha_Emision"] = $fdata;
		$tdatapre_ventas_por_estado[".searchableFields"][] = "fecha_Emision";
//	ci
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "ci";
	$fdata["GoodName"] = "ci";
	$fdata["ownerTable"] = "vista_pre_venta";
	$fdata["Label"] = GetFieldLabel("Pre_ventas_por_Estado","ci");
	$fdata["FieldType"] = 201;


	
	
			

		$fdata["strField"] = "ci";

		$fdata["sourceSingle"] = "ci";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ci";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapre_ventas_por_estado["ci"] = $fdata;
		$tdatapre_ventas_por_estado[".searchableFields"][] = "ci";
//	Titular
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Titular";
	$fdata["GoodName"] = "Titular";
	$fdata["ownerTable"] = "vista_pre_venta";
	$fdata["Label"] = GetFieldLabel("Pre_ventas_por_Estado","Titular");
	$fdata["FieldType"] = 201;


	
	
			

		$fdata["strField"] = "Titular";

		$fdata["sourceSingle"] = "Titular";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Titular";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapre_ventas_por_estado["Titular"] = $fdata;
		$tdatapre_ventas_por_estado[".searchableFields"][] = "Titular";
//	Cantidad
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Cantidad";
	$fdata["GoodName"] = "Cantidad";
	$fdata["ownerTable"] = "vista_pre_venta";
	$fdata["Label"] = GetFieldLabel("Pre_ventas_por_Estado","Cantidad");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "Cantidad";

		$fdata["sourceSingle"] = "Cantidad";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Cantidad";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapre_ventas_por_estado["Cantidad"] = $fdata;
		$tdatapre_ventas_por_estado[".searchableFields"][] = "Cantidad";
//	total_bs
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "total_bs";
	$fdata["GoodName"] = "total_bs";
	$fdata["ownerTable"] = "vista_pre_venta";
	$fdata["Label"] = GetFieldLabel("Pre_ventas_por_Estado","total_bs");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "total_bs";

		$fdata["sourceSingle"] = "total_bs";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "total_bs";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapre_ventas_por_estado["total_bs"] = $fdata;
		$tdatapre_ventas_por_estado[".searchableFields"][] = "total_bs";
//	Estado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "Estado";
	$fdata["GoodName"] = "Estado";
	$fdata["ownerTable"] = "vista_pre_venta";
	$fdata["Label"] = GetFieldLabel("Pre_ventas_por_Estado","Estado");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Estado";

		$fdata["sourceSingle"] = "Estado";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Estado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapre_ventas_por_estado["Estado"] = $fdata;
		$tdatapre_ventas_por_estado[".searchableFields"][] = "Estado";


$tables_data["Pre ventas por Estado"]=&$tdatapre_ventas_por_estado;
$field_labels["Pre_ventas_por_Estado"] = &$fieldLabelspre_ventas_por_estado;
$fieldToolTips["Pre_ventas_por_Estado"] = &$fieldToolTipspre_ventas_por_estado;
$placeHolders["Pre_ventas_por_Estado"] = &$placeHolderspre_ventas_por_estado;
$page_titles["Pre_ventas_por_Estado"] = &$pageTitlespre_ventas_por_estado;


changeTextControlsToDate( "Pre ventas por Estado" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["Pre ventas por Estado"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["Pre ventas por Estado"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_pre_ventas_por_estado()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id_Pre_venta,  	fecha_Emision,  	ci,  	Titular,  	Cantidad,  	total_bs,  	Estado";
$proto0["m_strFrom"] = "FROM vista_pre_venta";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
				;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id_Pre_venta",
	"m_strTable" => "vista_pre_venta",
	"m_srcTableName" => "Pre ventas por Estado"
));

$proto6["m_sql"] = "id_Pre_venta";
$proto6["m_srcTableName"] = "Pre ventas por Estado";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_Emision",
	"m_strTable" => "vista_pre_venta",
	"m_srcTableName" => "Pre ventas por Estado"
));

$proto8["m_sql"] = "fecha_Emision";
$proto8["m_srcTableName"] = "Pre ventas por Estado";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "ci",
	"m_strTable" => "vista_pre_venta",
	"m_srcTableName" => "Pre ventas por Estado"
));

$proto10["m_sql"] = "ci";
$proto10["m_srcTableName"] = "Pre ventas por Estado";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "Titular",
	"m_strTable" => "vista_pre_venta",
	"m_srcTableName" => "Pre ventas por Estado"
));

$proto12["m_sql"] = "Titular";
$proto12["m_srcTableName"] = "Pre ventas por Estado";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Cantidad",
	"m_strTable" => "vista_pre_venta",
	"m_srcTableName" => "Pre ventas por Estado"
));

$proto14["m_sql"] = "Cantidad";
$proto14["m_srcTableName"] = "Pre ventas por Estado";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "total_bs",
	"m_strTable" => "vista_pre_venta",
	"m_srcTableName" => "Pre ventas por Estado"
));

$proto16["m_sql"] = "total_bs";
$proto16["m_srcTableName"] = "Pre ventas por Estado";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "Estado",
	"m_strTable" => "vista_pre_venta",
	"m_srcTableName" => "Pre ventas por Estado"
));

$proto18["m_sql"] = "Estado";
$proto18["m_srcTableName"] = "Pre ventas por Estado";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto20=array();
$proto20["m_link"] = "SQLL_MAIN";
			$proto21=array();
$proto21["m_strName"] = "vista_pre_venta";
$proto21["m_srcTableName"] = "Pre ventas por Estado";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "id_Pre_venta";
$proto21["m_columns"][] = "fecha_Emision";
$proto21["m_columns"][] = "ci";
$proto21["m_columns"][] = "Titular";
$proto21["m_columns"][] = "Cantidad";
$proto21["m_columns"][] = "total_bs";
$proto21["m_columns"][] = "Estado";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "vista_pre_venta";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "Pre ventas por Estado";
$proto22=array();
$proto22["m_sql"] = "";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="Pre ventas por Estado";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_pre_ventas_por_estado = createSqlQuery_pre_ventas_por_estado();


	
				;

							

$tdatapre_ventas_por_estado[".sqlquery"] = $queryData_pre_ventas_por_estado;



$tdatapre_ventas_por_estado[".hasEvents"] = false;

?>